0

I only can install packages as a root user (or with sudo)

If I tying to install package, or just update the package contents, I get this error:

Debugger entered--Lisp error: (error "/80 Name or service not known")
signal(error ("/80 Name or service not known"))
package--download-one-archive(("gnu" . "https://elpa.gnu.org/packages/") "archive-contents" nil)
package--download-and-read-archives(nil)
package-refresh-contents()
funcall-interactively(package-refresh-contents)
call-interactively(package-refresh-contents record nil)
command-execute(package-refresh-contents record)
execute-extended-command(nil "package-refresh-contents" "package-refr")
funcall-interactively(execute-extended-command nil "package-refresh-contents" "package-refr")
call-interactively(execute-extended-command nil nil)
command-execute(execute-extended-command)

As a root user I can easily install anything. I already tried to reinstall emacs, and remove configs, but nothing.

0

I'm not quite sure, but I fixed my env file, and now its working fine. I had (somehow) wicd and network manager at the same time, and the wicd ruined my proxy settings.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.